Subject: bug#26619: 26.0.50; Wrong indentation in emacs-lisp-mode

From: [email-masked]
Date: Fri, 05 May 2017 18:43:21 -0400

Kaushal Modi <[email-masked]> writes:

> The indentation is still not working right.\
>
> (Again, below screenshots show the indentation how it used to be; the
> light grey boxes show where the indentation moved back to after
> applying that last patch.)

I get the correct indentation for the code below with the patch, how are
you testing it (note that it modifies a dumped lisp file, so just
recompiling is not sufficient)?

    (setq org-directory (let ((dir (concat user-home-directory
                                           "org/"))) ; must end with /
                          (make-directory dir :parents)
                          dir))